{
gROOT->LoadMacro("A_C.so");
TFile* f0 = TFile::Open("testSkim.root", "RECREATE");

TTree* tree0 = new TTree("tree", "");

TClonesArray* c1 = new TClonesArray("A", 1);
TClonesArray* c2 = new TClonesArray("A", 1);

tree0->Branch("C1", "TClonesArray", &c1, 32000, 3);
tree0->Branch("C2", "TClonesArray", &c2, 32000, 3);

for (int i = 1; i <= 260; i++) {
  
  TString file = "test"; file += i; file += ".root";
  
  TFile* f = TFile::Open(file);
  TTree* tree = (TTree*)f->Get("tree");
  
  tree->SetBranchAddress("C1", &c1);
  tree->SetBranchAddress("C2", &c2);
  
  tree->GetEntry(0);
  
  cout << c1->GetEntries() << " " << c2->GetEntries() << endl;


  cout << i << " " << c1->At(0) << " " << c1->At(0)->GetUniqueID() << " " 
       << c2->At(0) << " " << c2->At(0)->GetUniqueID() << endl;

  f0->cd();
  tree0->Fill();

  f->cd();
  tree->GetEntry(1);
  
  cout << i << " " << c1->At(0) << " " << c1->At(0)->GetUniqueID() << " " 
       << c2->At(0) << " " << c2->At(0)->GetUniqueID() << endl;

  f0->cd();
  tree0->Fill();
  
  f->Close();
}

tree0->Write();
f0->Close();

}
